## org.codehaus.groovy.grails.test
Class XMLFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
          org.codehaus.groovy.grails.test.XMLFormatter

All Implemented Interfaces:
  junit.framework.TestListener, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter, org.apache.tools.ant.taskdefs.optional.junit.JUnitTaskMirror.JUnitResultFormatterMirror, org.apache.tools.ant.taskdefs.optional.junit.XMLConstants

    public class XMLFormatter

extends org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter

JUnit XML formatter that sanitises the stack traces generated by tests.

Field Summary

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.junit.XMLConstants
`ATTR_CLASSNAME, ATTR_ERRORS, ATTR_FAILURES, ATTR_ID, ATTR_MESSAGE, ATTR_NAME, ATTR_PACKAGE, ATTR_TESTS, ATTR_TIME, ATTR_TYPE, ATTR_VALUE, ERROR, FAILURE, HOSTNAME, PROPERTIES, PROPERTY, SYSTEM_ERR, SYSTEM_OUT, TESTCASE, TESTSUITE, TESTSUITES, TIMESTAMP`

Constructor Summary
`XMLFormatter()`

Method Summary
`void` `addError(junit.framework.Test test, Throwable throwable)`
`void` `addFailure(junit.framework.Test test, Throwable throwable)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
`addFailure, endTest, endTestSuite, setOutput, setSystemError, setSystemOutput, startTest, startTestSuite`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFormatter

    public XMLFormatter()

Method Detail

### addFailure

    public void addFailure(junit.framework.Test test,
                           Throwable throwable)

  Overrides:
    `addFailure` in class `org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter`

### addError

    public void addError(junit.framework.Test test,
                         Throwable throwable)

  Specified by:
    `addError` in interface `junit.framework.TestListener`
  Overrides:
    `addError` in class `org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter`

Copyright (c) 2005-2009 The Grails project